
Infrastructure - Bug #3086

d1_auditing_java can't control logging statements.

2012-07-18 17:16 - Rob Nahf

Status: Closed Start date: 2012-07-18

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2012.29-Block.4.3   

Milestone: None Story Points:  

Product Version: *   

Description

when I package d1_auditing_java as an executable jar, the log4j.properties file from d1_libclient_java 'shades out' the one in

d1_auditing_java.  The impact is that log statements go to STDOUT, which itself is an error.

I can fix the problem locally by moving the log4j properties file from src/main/resources to src/test/resources.

(and this the best practice:  

http://stackoverflow.com/questions/5132389/if-using-maven-usually-you-put-log4j-properties-under-java-or-resources)

Would like to make the fix in the branch, so it could be used for d1_auditing_tools v1.0, but there may be impacts on deployments:

metacat, any of the cn debian packages...

History

#1 - 2012-07-18 17:39 - Rob Nahf

- Start date set to 2012-07-18

- Assignee set to Rob Nahf

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

- Tracker changed from Story to Bug

- Subject changed from libclient_java log4j.properties should move to d1_auditing_java can't control logging statements.

- Category set to d1_libclient_java

#2 - 2012-08-10 17:19 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from New to Closed

fixed in repository trunk, and changed the dependency in d1_auditing_java to use the trunk snapshot version of d1_libclient_java
